## org.apache.batik.dom.svg
Class AbstractSVGAnimatedLength.BaseSVGLength

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGLength
          org.apache.batik.dom.svg.AbstractSVGAnimatedLength.BaseSVGLength

All Implemented Interfaces:
  SVGLength

Enclosing class:
  AbstractSVGAnimatedLength

protected class AbstractSVGAnimatedLength.BaseSVGLength
extends AbstractSVGLength

This class represents the SVGLength returned by getBaseVal().

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`AbstractSVGLength.DefaultContext`

Field Summary
`protected boolean` `valid` Whether this length is valid.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`context, direction, HORIZONTAL_LENGTH, OTHER_LENGTH, UNITS, unitType, value, VERTICAL_LENGTH`

Fields inherited from interface org.w3c.dom.svg.SVGLength
`SVG_LENGTHTYPE_CM, SVG_LENGTHTYPE_EMS, SVG_LENGTHTYPE_EXS, SVG_LENGTHTYPE_IN, SVG_LENGTHTYPE_MM, SVG_LENGTHTYPE_NUMBER, SVG_LENGTHTYPE_PC, SVG_LENGTHTYPE_PERCENTAGE, SVG_LENGTHTYPE_PT, SVG_LENGTHTYPE_PX, SVG_LENGTHTYPE_UNKNOWN`

Constructor Summary
`AbstractSVGAnimatedLength.BaseSVGLength(short direction)` Creates a new BaseSVGLength.

Method Summary
`protected SVGOMElement` `getAssociatedElement()` Return the SVGElement associated to this length.
`void` `invalidate()` Invalidates this length.
`protected void` `reset()` Resets the value of the associated attribute.
`protected void` `revalidate()` Initializes the length, if needed.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGLength
`convertToSpecifiedUnits, getUnitType, getValue, getValueAsString, getValueInSpecifiedUnits, newValueSpecifiedUnits, parse, setValue, setValueAsString, setValueInSpecifiedUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valid

    protected boolean valid

  Whether this length is valid.

Constructor Detail

### AbstractSVGAnimatedLength.BaseSVGLength

    public AbstractSVGAnimatedLength.BaseSVGLength(short direction)

  Creates a new BaseSVGLength.

Method Detail

### invalidate

    public void invalidate()

  Invalidates this length.

### reset

    protected void reset()

  Resets the value of the associated attribute.

  Overrides:
    `reset` in class `AbstractSVGLength`

### revalidate

    protected void revalidate()

  Initializes the length, if needed.

  Overrides:
    `revalidate` in class `AbstractSVGLength`

### getAssociatedElement

    protected SVGOMElement getAssociatedElement()

  Description copied from class: `AbstractSVGLength`
  Return the SVGElement associated to this length.

  Specified by:
    `getAssociatedElement` in class `AbstractSVGLength`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.